Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassPartitiveMember3

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassPartitiveMember3

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassPartitiveMember3

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Partitive Member3', and utility methods for working with them.

See Also:
  `CDAR2Package.getRoleClassPartitiveMember3()`

Field Summary
`static int` | `CONT` The 'CONT' literal value.
`static RoleClassPartitiveMember3` | `CONT_LITERAL` The 'CONT' literal object.
`static int` | `MBR` The 'MBR' literal value.
`static RoleClassPartitiveMember3` | `MBR_LITERAL` The 'MBR' literal object.
`static int` | `PART` The 'PART' literal value.
`static RoleClassPartitiveMember3` | `PART_LITERAL` The 'PART' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Partitive Member3' enumerators.

Method Summary
`static RoleClassPartitiveMember3` | `get(int value)` Returns the 'Role Class Partitive Member3' literal with the specified integer value.
`static RoleClassPartitiveMember3` | `get(java.lang.String literal)` Returns the 'Role Class Partitive Member3' literal with the specified literal value.
`static RoleClassPartitiveMember3` | `getByName(java.lang.String name)` Returns the 'Role Class Partitive Member3' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONT

    public static final int CONT

  The 'CONT' literal value.

  If the meaning of 'CONT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONT_LITERAL`, Constant Field Values

### MBR

    public static final int MBR

  The 'MBR' literal value.

  If the meaning of 'MBR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MBR_LITERAL`, Constant Field Values

### PART

    public static final int PART

  The 'PART' literal value.

  If the meaning of 'PART' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PART_LITERAL`, Constant Field Values

### CONT_LITERAL

    public static final RoleClassPartitiveMember3 CONT_LITERAL

  The 'CONT' literal object.

  See Also:
    `CONT`

### MBR_LITERAL

    public static final RoleClassPartitiveMember3 MBR_LITERAL

  The 'MBR' literal object.

  See Also:
    `MBR`

### PART_LITERAL

    public static final RoleClassPartitiveMember3 PART_LITERAL

  The 'PART' literal object.

  See Also:
    `PART`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Partitive Member3' enumerators.

Method Detail

### get

    public static RoleClassPartitiveMember3 get(java.lang.String literal)

  Returns the 'Role Class Partitive Member3' literal with the specified literal value.

### getByName

    public static RoleClassPartitiveMember3 getByName(java.lang.String name)

  Returns the 'Role Class Partitive Member3' literal with the specified name.

### get

    public static RoleClassPartitiveMember3 get(int value)

  Returns the 'Role Class Partitive Member3' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD